# rpcap_startcapreq Struct Reference
[Internal Structures and Definitions]

Format of the message that starts a remote capture (startcap command). More...

`#include <pcap-remote.h>`

## Data Fields
uint32 | snaplen
| Length of the snapshot (number of bytes to capture for each packet).
uint32 | read_timeout
| Read timeout in milliseconds.
uint16 | flags
| Flags (see RPCAP_STARTCAPREQ_FLAG_xxx).
uint16 | portdata
| Network port on which the client is waiting at (if 'serveropen').

## Detailed Description

Format of the message that starts a remote capture (startcap command).

Definition at line 195 of file pcap-remote.h.

## Field Documentation

uint16 flags

Flags (see RPCAP_STARTCAPREQ_FLAG_xxx).

Definition at line 199 of file pcap-remote.h.

uint16 portdata

Network port on which the client is waiting at (if 'serveropen').

Definition at line 200 of file pcap-remote.h.

uint32 read_timeout

Read timeout in milliseconds.

Definition at line 198 of file pcap-remote.h.

uint32 snaplen

Length of the snapshot (number of bytes to capture for each packet).

Definition at line 197 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.